View Issue Details

IDProjectCategoryView StatusLast Update
0002528libextractorbuild systempublic2012-09-25 17:18
ReporterSree Harsha TotakuraAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSDebianOS Version6.0.5
Product Version0.6.3 
Target Version1.0.0Fixed in Version1.0.0 
Summary0002528: build system fails during compilation
Description/bin/bash ../../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -g -O2 -MT exiv2_extractor.lo -MD -MP -MF .deps/exiv2_extractor.Tpo -c -o exiv2_extractor.lo exiv2_extractor.cc
libtool: compile: g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -g -O2 -MT exiv2_extractor.lo -MD -MP -MF .deps/exiv2_extractor.Tpo -c exiv2_extractor.cc -fPIC -DPIC -o .libs/exiv2_extractor.o
exiv2_extractor.cc: In function ‘void EXTRACTOR_exiv2_extract_method(EXTRACTOR_ExtractContext*)’:
exiv2_extractor.cc:692: error: ‘Exiv2::LogMsg’ has not been declared
exiv2_extractor.cc:692: error: ‘Exiv2::LogMsg’ has not been declared
make[4]: *** [exiv2_extractor.lo] Error 1
make[4]: Leaving directory `/home/harsha/repos/Extractor/src/plugins'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/harsha/repos/Extractor/src/plugins'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/harsha/repos/Extractor/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/harsha/repos/Extractor'
make: *** [all] Error 2
Steps To Reproducecheckout repository
./bootstrap
./configure
make
Additional Informationdone one a freshly installed Debian 6.0.5
TagsNo tags attached.

Activities

Christian Grothoff

2012-08-29 14:23

manager   ~0006304

Fixed in SVN 23493.

Issue History

Date Modified Username Field Change
2012-08-28 16:51 Sree Harsha Totakura New Issue
2012-08-28 16:52 Sree Harsha Totakura OS Version 6.0.6 => 6.0.5
2012-08-29 14:20 Christian Grothoff Assigned To => Christian Grothoff
2012-08-29 14:20 Christian Grothoff Status new => assigned
2012-08-29 14:23 Christian Grothoff Note Added: 0006304
2012-08-29 14:23 Christian Grothoff Status assigned => resolved
2012-08-29 14:23 Christian Grothoff Resolution open => fixed
2012-08-29 14:23 Christian Grothoff Product Version => current SVN
2012-08-29 14:23 Christian Grothoff Fixed in Version => current SVN
2012-08-29 14:23 Christian Grothoff Target Version => current SVN
2012-09-09 02:34 Christian Grothoff Product Version current SVN => 0.6.3
2012-09-09 02:34 Christian Grothoff Fixed in Version current SVN => 1.0.0
2012-09-09 02:34 Christian Grothoff Target Version current SVN => 1.0.0
2012-09-25 17:18 Christian Grothoff Status resolved => closed